petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSectionGetFieldPointOffset

Return the offset on the given point for the dof associated with the given point.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldPointOffset(PetscSection s, PetscInt point, PetscInt field, PetscInt *offset)

Not collective

### Input Parameters

| s | - the PetscSection
| point | - the point
| field | - the field

### Output Parameter

offset -the offset

Note: This gives the offset on a point of the field, ignoring constraints, meaning starting at the first dof for this point, what number is the first dof with this field.

### See Also

PetscSectionGetOffset(), PetscSectionCreate()

### Level

advanced

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages